package com.smppw.modaq.application.components.report.writer;

import com.smppw.modaq.domain.dto.report.WeeklyReportData;
import com.smppw.modaq.domain.mapper.report.ReportBaseInfoMapper;
import com.smppw.modaq.domain.mapper.report.ReportFundInfoMapper;
import org.springframework.stereotype.Component;

@Component(ReportWriterConstant.WRITER_WEEKLY)
public class WeeklyReportWriter extends AbstractReportWriter<WeeklyReportData> {
    public WeeklyReportWriter(ReportBaseInfoMapper baseInfoMapper, ReportFundInfoMapper fundInfoMapper) {
        super(baseInfoMapper, fundInfoMapper);
    }

    @Override
    protected void writeExtData(WeeklyReportData reportData) {
        // 没有数据要保存
    }
}
