package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:44
 * @description 基协报告基础信息表
 */
@Setter
@Getter
@TableName("mo_report_base_info")
public class ReportBaseInfoDO extends BaseReportDO {
    /**
     * 报告日期
     */
    private Date reportDate;
    /**
     * 报告名称
     */
    private String reportName;
    /**
     * 报告类型
     */
    private String reportType;
//    /**
//     * 报告是否用印
//     */
//    private Boolean withSeals;
    /**
     * 观点报告是否存在联系人信息（可能包含联系电话、地址等敏感信息）
     */
    private Boolean withContacts;
}
